Subject: Re: bug#43946: [PATCH] doc: Add item to "Submitting Patches" section.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 15 Jan 2021 14:30:47 +0100

Hi Simon!

zimoun <[email-masked]> skribis:

> * doc/contributing.texi (Submitting Patches): Add item about 'git-format-patch
> --base'.
> ---
>  doc/contributing.texi | 6 ++++++
>  1 file changed, 6 insertions(+)
>
> diff --git a/doc/contributing.texi b/doc/contributing.texi
> index af3601442e..5ea3cb1899 100644
> --- a/doc/contributing.texi
> +++ b/doc/contributing.texi
> @@ -932,6 +932,12 @@ Before submitting a patch that adds or modifies a package definition,
>  please run through this check list:
>  
>  @enumerate
> +@cindex @code{git format-patch}
> +@cindex @code{git-format-patch}
> +@item
> +We recommend to use the command @code{git format-patch --base} to
> +include the commit where your patch applies.

I’m not entirely convinced TBH, in part because I know I often pile a
couple of WIP branches on top of one another, “knowing what I’m doing”
(actually hoping that I do), and so the base commit would be useless in
this case.

Closing?  :-)

Thanks,
Ludo’.